---
schema_version: "1"
id: f9959f327ea11306b835f3587f5644ecbc71b65a30ca4a9665950e144e30de8b
title: GET /sms/v1/messageList/{id}/deliveries/{tokenId}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getMessageList.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_sms/getMessageList.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 09afbd4263fd0ecfb3044f1dabdbf580ffc0082a626d330e9e3d504e6c33fc55
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /sms/v1/messageList/{id}/deliveries/{tokenId}

Returns status for a message sent to a group of mobile numbers.

## URL Parameters

| Name        | Type   | Description                             |
| ----------- | ------ | --------------------------------------- |
| `messageId` | String | Message Id provided for the messageList |
| `tokenId`   | String | Token Id returned for the messageList   |

## Usage

This sample request shows how to retrieve the status of an SMS send.

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /sms/v1/messageList/MESSAGE_ID/deliveries/TOKEN_ID
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

The response contains information about the specified send.

```json
{
  "message": "Test Delivery Receipt",
  "count": 1,
  "createDate": "2013-04-25T15:01:04.147",
  "completeDate": "2013-04-25T15:01:55.197",
  "status": "Finished",
  "tracking": [
    {
      "mobileNumber": "15555555510",
      "statusCode": "20",
      "message": "NA"
    }
  ]
}
```

The response includes this information about the send:

- `message`

  - : The message text sent in the SMS message

- `count`

  - : The total number of mobile numbers included in the send request subtracting the number of unsubscribed recipients

- `createdDate`

  - : Date when the MessageContact send was submitted, returned in CST

- `createdDate`

  - : Date when the send completed, returned in CST

- `status`

  - : The status of the send. Possible values:

    - `Finished`
    - `Error`
    - `New`
    - `Queuing`
    - `Started`

If the request includes an invalid messageId or tokenId, the API returns an HTTP `400` response that describes the error.

```js
{
  "errors" : ["Message id cI217sdksi3 is not valid."]
}
```

| Message                                                                              | Details                                                                                                                                                                                 |
| ------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Message id {0} isn't valid.                                                          | The messageID value provided in the URL wasn't in a valid format.                                                                                                                       |
| "Token id {0} isn't valid."                                                          | The tokenId value provided in the URL wasn't in a valid format.                                                                                                                         |
| Token id {0} isn't valid for this client.                                            | The tokenId value provided is valid but was created for another client.                                                                                                                 |
| TokenId {0} isn't valid for MessageId {1}.                                           | The tokenId value provided is valid for your account but not for the MessageId provided.                                                                                                |
| An unexpected error occurred, please contact Customer Support with reference id {0}. | If this unexpected error is presented when making a call, please take note of the reference id value returned in the error and contact ExactTarget Global Support for more information. |
